EDIT - bug #9358

OptionalDataException during HTTP invoker call
12/18/2020 04:11 PM - Andreas Miller

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal Found in Version:

Description

Note: first issue to solve is catching the exception client side as explained in comment 6 => #9629
The bug in comment 1 appeared multiple times for ERS when editing taxa.
After some analyzes it appears that it is thrown client side as the following lines

at eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.load(CdmTransientEntityCacher. java:165)

at eu.etaxonomy.taxeditor.session.CdmEntitySession.load(CdmEntitySession. java:65)

at eu.etaxonomy.taxeditor.session.CdmEntitySessionManager.load (CdmEntitySessionManager. java:119)
at org.springframework.remoting.httpinvoker.CachingHttpInvokerProxyFactoryBean.handleGeneralReques
t (CachingHttpInvokerProxyFactoryBean. java:100)

suggest, though the main exception suggests it is a hitp invoker exception and therefore server side. It looks like the call returned
already but when calling the CdmEntitySessionManager to cache the entities the exception appears.

A reason might be that there wasn't enough disc space left for the ehcach on the local machine. So maybe we have to have a look
on the ehcache disc space handling. Something similar was reported for working by the character matrix by Tilo some time ago. But
it does not seem to be a general disk space issue as in a later case (related to #9629) ERS had 112GB free disk space.

Another reason could be that ehcach library version was updated during the last release and maybe there is some problem related.

A sub issue of this task might be to have a look at the distribution loading. The stackirace in comment 3 appeared multiple times. It
seems like lazy loading needs to run for all NamedAreas of the distributions and therefore distributions including areas should be
initialized from the beginning or within 1 call.

Note: though the exception appeared often when loading distribution data it also happened in other contexts.

Related issues:

Related to EDIT - bug #9629: Better handling of OptionalDataException In Progress
Related to EDIT - bug #9820: OptionalDataException when saving character matrix New
History

#1 - 12/18/2020 04:11 PM - Andreas Miller

last remote method : http://api.cybertaxonomy.org:80/euromed/remoting/common.service
last remote request client time : 2020-12-16T16:25:28.866
last remote request response header time : Wed, 16 Dec 2020 16:25:28 GMT
client error time : 2020-12-16T16:25:28.944
login : e.raabstraube
editor version : 5.18.0
server : apil.cybertaxonomy.org (cybertaxonomy.org) / euromed
schema version : 5.18.6.0.20201124
os : Windows 7 6.1 amd64
java : 1.8.0_231
org.eclipse.swt.SWTException: Failed to execute runnable (org.springframework.remoting.RemoteAccessException:
Could not access HTTP invoker remote service at [http://api.cybertaxonomy.org:80/euromed/remoting/common.servi
ce]; nested exception is net.sf.ehcache.CacheException: java.io.OptionalDataException)
at org.eclipse.swt.SWT.error (SWT. java:4533)
at org.eclipse.swt.SWT.error (SWT. java:4448)
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:185)
at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java
:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1l
022)

at org.eclipse.e4d.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application.java:20)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseApplauncher.runApplication (EclipseAppLaunc
her.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:
104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)
Caused by: org.springframework.remoting.RemoteAccessException: Could not access HTTP invoker remote service at

[http://api.cybertaxonomy.org:80/euromed/remoting/common.service]; nested exception is net.sf.ehcache.CacheEx

ception: java.io.OptionalDataException

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.convertHttpInvokerAcc
essException (HttpInvokerClientInterceptor. java:226)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerCli
entInterceptor. java:153)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:213)

at com.sun.proxy.S$Proxy46.find (Unknown Source)

at eu.etaxonomy.taxeditor.service.CachedCommonServiceImpl.find(CachedCommonServiceImpl. java:40

at org.hibernate.proxy.AbstractLazyInitializer.remoteInitialize (AbstractLazyInitializer.java:4

51)

at org.hibernate.proxy.AbstractLazyInitializer.initialize (AbstractLazyInitializer.java:167)

at org.hibernate.proxy.AbstractLazyInitializer.getImplementation (AbstractLazyInitializer. java:
297)

at org.hibernate.proxy.pojo.javassist.JavassistLazyInitializer.invoke (JavassistLazyInitializer
.java:73)

at eu.etaxonomy.cdm.model.location.NamedAreaLevel $$_7jvst50d_8.getPreferredRepresentation (Name
dArealevel_S$$_jvst50d_8. java)

at eu.etaxonomy.cdm.model.location.NamedArea.labelWithLevel_aroundBody78 (NamedArea. java:795)

at eu.etaxonomy.cdm.model.location.NamedArea.labelWithLevel (NamedArea. java:1l)

at eu.etaxonomy.taxeditor.model.DescriptionHelper.getDistributionText (DescriptionHelper. java:5

58)

at eu.etaxonomy.taxeditor.model.DescriptionHelper.getLabel (DescriptionHelper. java:663)

at eu.etaxonomy.taxeditor.model.FeatureNodeContainerTree$l.compare (FeatureNodeContainerTree. ja
va:42)

at eu.etaxonomy.taxeditor.model.FeatureNodeContainerTree$l.compare (FeatureNodeContainerTree. ja
va:l)

at java.util.TimSort.countRunAndMakeAscending (Unknown Source)

at java.util.TimSort.sort (Unknown Source)

at java.util.Arrays.sort (Unknown Source)

at java.util.ArrayList.sort (Unknown Source)

at java.util.Collections.sort (Unknown Source)

at eu.etaxonomy.taxeditor.model.FeatureNodeContainerTree.getDescriptionsElementsForFeature (Fea
tureNodeContainerTree. java:118)

at eu.etaxonomy.taxeditor.model.FeatureNodeContainer.buildLeaf (FeatureNodeContainer. java:93)

at eu.etaxonomy.taxeditor.model.FeatureNodeContainer.findLeaves (FeatureNodeContainer. java:68)

at eu.etaxonomy.taxeditor.model.FeatureNodeContainerTree.buildTree (FeatureNodeContainerTree. ja
va:74)

at eu.etaxonomy.taxeditor.model.FeatureNodeContainerTree.<init> (FeatureNodeContainerTree. java:
62)

at eu.etaxonomy.taxeditor.editor.view.descriptive.DescriptiveContentProvider.getContainerTreeF
orDesription (DescriptiveContentProvider. java:151)

at eu.etaxonomy.taxeditor.editor.view.descriptive.DescriptiveContentProvider.getChildren (Descr
iptiveContentProvider. java:68)
at eu.etaxonomy.taxeditor.editor.view.descriptive.DescriptiveContentProvider.hasChildren (Descr
iptiveContentProvider. java:167)
viewers.AbstractTreeViewer.isExpandable (AbstractTreeViewer. java:2136)
viewers.TreeViewer.isExpandable (TreeViewer. java:538)
viewers.AbstractTreeViewer.isExpandable (AbstractTreeViewer. java:2166)
viewers.AbstractTreeViewer.updatePlus (AbstractTreeViewer. java:2849)
viewers.TreeViewer.updatePlus (TreeViewer. java:786)
viewers.AbstractTreeViewer.createTreeltem (AbstractTreeViewer. java:844)
viewers.AbstractTreeViewer.lambda$0 (AbstractTreeViewer. java:820)

swt.custom.BusyIndicator.showWhile (BusyIndicator.java:70)
viewers.AbstractTreeViewer.createChildren (AbstractTreeViewer. java:795)
viewers.TreeViewer.createChildren (TreeViewer.java:596)
viewers.AbstractTreeViewer.createChildren (AbstractTreeViewer. java:766)
viewers.AbstractTreeViewer.internalInitializeTree (AbstractTreeViewer. java

viewers.TreeViewer.internalInitializeTree (TreeViewer. java:772)
viewers.AbstractTreeViewer.lambda$l (AbstractTreeViewer. java:1523)
viewers.StructuredViewer.preservingSelection (StructuredViewer. java:1458)
viewers.TreeViewer.preservingSelection (TreeViewer. java:354)
viewers.StructuredViewer.preservingSelection (StructuredViewer. java:1419)
viewers.AbstractTreeViewer.inputChanged (AbstractTreeViewer. java:1517)
viewers.ContentViewer.setInput (ContentViewer. java:286)
viewers.StructuredViewer.setInput (StructuredViewer. java:1696)

eu.etaxonomy.taxeditor.view.ed4.AbstractCdmEditorPartE4.showViewer (AbstractCdmEditorPartE4. J

eu.etaxonomy.taxeditor.editor.view.descriptive.ed4.FactualDataPartE4.showViewer (FactualDataP

eu.etaxonomy.taxeditor.editor.view.descriptive.ed.FactualDataPartE4.selectionChanged_intern
al (FactualDataPartE4. java:175)
at eu.etaxonomy.taxeditor.view.ed4.AbstractCdmEditorPartE4$DelaySelection.run (AbstractCdmEditor

at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:182)
ore.

disk.DiskStorageFactory.retrieve (DiskStorageFactory.java:891)

.disk.Segment.decodeHit (Segment. java:182)
ore.

disk.Segment.get (Segment.java:225)
disk.DiskStore.fault (DiskStore.java:210)

CacheStores$4.call (CacheStore.java:192)
cachingtier.OnHeapCachingTier$Fault.get (OnHeapCachingTier. java:335)

cachingtier.OnHeapCachingTier$Fault.access$200 (OnHeapCachingTier. java:

cachingtier.OnHeapCachingTier.get (OnHeapCachingTier.java:176)

.CacheStore.get (CacheStore.java:192)

get (Cache.java:1749)

get (Cache. java:1722)
cache.CdmCacherBase.getCacheElement (CdmCacherBase. java:105)
cache.CdmCacherBase.getFromCache (CdmCacherBase. java:140)

cache.CdmTransientEntityCacher.getFromCache (CdmTransientEntityCacher. java:

cache.Cacheloader.load (CacheLoader. java:248)
cache.CacheLoader.load (CacheLoader. java:62)

cache.CdmTransientEntityCacher.load (CdmTransientEntityCacher. java:165)

taxeditor.session.CdmEntitySession.load (CdmEntitySession. java:65)
taxeditor.session.CdmEntitySessionManager.load (CdmEntitySessionManager. java:1l1l

org.springframework.remoting.httpinvoker.CachingHttpInvokerProxyFactoryBean.handleGeneralRe
quest (CachingHttpInvokerProxyFactoryBean. java:100)

at org.springframework.remoting.httpinvoker.CachingHttpInvokerProxyFactoryBean.executeRequest (
CachingHttpInvokerProxyFactoryBean. java:81)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerCli
entInterceptor.java:150)

77

.OptionalDataException

more

java.io.ObjectInputStream.readObject0 (Unknown Source)
java.io.ObjectInputStream.readObject (Unknown Source)

java.util.HashSet.readObject (Unknown Source)

sun.reflect.GeneratedMethodAccessor33.1invoke (Unknown Source)
sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)
lang.reflect.Method. invoke (Unknown Source)
io.ObjectStreamClass.invokeReadObject (Unknown Source)
io.ObjectInputStream.readSerialData (Unknown Source)
io.ObjectInputStream.readOrdinaryObject (Unknown Source)
at java.io.ObjectInputStream.readObject0 (Unknown Source)

at java.io.ObjectInputStream.defaultReadFields (Unknown Source)

at java.io.ObjectInputStream.readSerialData (Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject (Unknown Source)

at java.io.ObjectInputStream.readObject0 (Unknown Source)

at java.io.ObjectInputStream.defaultReadFields (Unknown Source)

at java.io.ObjectInputStream.defaultReadObject (Unknown Source)

at net.sf.ehcache.Element.readObject (Element. java:885)

at sun.reflect.GeneratedMethodAccessor77.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject (Unknown Source)

at java.io.ObjectInputStream.readSerialData (Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject (Unknown Source)

at java.io.ObjectInputStream.readObjectO (Unknown Source)

at java.io.ObjectInputStream.readObject (Unknown Source)

at net.sf.ehcache.store.disk.DiskStorageFactory.read(DiskStorageFactory.java:371)
at net.sf.ehcache.store.disk.DiskStorageFactory.retrieve (DiskStorageFactory.java:887)

99 more

#2 - 12/18/2020 04:14 PM - Andreas Miiller
- Description updated

#3 - 12/18/2020 04:20 PM - Andreas Miiller
- Description updated

Lazy initializing distributions.

at org.hibernate.proxy.pojo.javassist.JavassistLazyInitializer.invoke (JavassistLazyInitializer
.java:73)

at eu.etaxonomy.cdm.model.location.NamedAreaLevel $$_Jjvst50d_8.getPreferredRepresentation (Name
dArealevel_$$_7jvst50d_8. java)

at eu.etaxonomy.cdm.model.location.NamedArea.labelWithLevel_aroundBody78 (NamedArea. java:795)

at eu.etaxonomy.cdm.model.location.NamedArea.labelWithLevel (NamedArea. java:l)

at eu.etaxonomy.taxeditor.model.DescriptionHelper.getDistributionText (DescriptionHelper. java:5b

58)

at eu.etaxonomy.taxeditor.model.DescriptionHelper.getLabel (DescriptionHelper. java:663)

at eu.etaxonomy.taxeditor.model.FeatureNodeContainerTree$l.compare (FeatureNodeContainerTree. ja
va:42)

at eu.etaxonomy.taxeditor.model.FeatureNodeContainerTree$l.compare (FeatureNodeContainerTree. ja
va:l)

at java.util.TimSort.countRunAndMakeAscending (Unknown Source)

at java.util.TimSort.sort (Unknown Source)

at java.util.Arrays.sort (Unknown Source)

at java.util.ArrayList.sort (Unknown Source)

at java.util.Collections.sort (Unknown Source)

at eu.etaxonomy.taxeditor.model.FeatureNodeContainerTree.getDescriptionsElementsForFeature (Fea
tureNodeContainerTree. java:118)

#4 - 12/18/2020 04:27 PM - Andreas Miiller

ERS: Das kdnnte sein. Ich habe auf meinem Rechner zuhause manchmal tatsachlich Kapazitétsprobleme - Ich werde das mal beobachten und
testen.

AM: Ah, das ist schon mal ein guter Hinweis. Ich war irgendwie davon ausgegangen, dass das Problem auf Seite des Servers liegt, aber es ist wohl
Client (TaxEditor) seitig.

Das macht es vermutlich etwas einfacher.

Seltsamerweise bist du bislang der einzige, der davon berichtet. Ganz vielleicht hangt es also auch an deinem Rechner. Hast du noch geniigend
Festplattenspeicher?

Bzw. kannst du, wenn es wieder auftritt iber den Task-Manager mal Gberprifen, wie sehr deine CPU gerade ausgelastet ist?

ERS: Aha, interessant. Ich habe jetzt den Editor geschlossen und wieder gedffnet, jetzt funktioniert alles wieder. Es scheint sich also innerhalb einer
Sitzung etwas aufzubauen und zu blockieren...

ERS: zur Ergénzung: gerade kann ich kein Muster mehr erkennen, bei welchen Taxa die Fehlermeldung auftritt und wo nicht. Innerhalb der Gattung
Carex etwa geben einige Arten bgeim Klichen im Baum sofort den Fehler (also ohne Wartezeit, Timeout oder dhnliches), andere werden im
Texteditor ohne Verzdégerung gedffnet.

ERS: irgendwas stimmt nicht, Ich kann nur Taxa mit wenigen Synonymen im Texteditor problemlos 6ffnen. Taxa mit komplexen Synonymien geben

mir wieder diese Fehlermeldung (beim Klicken auf den Taxonknoten im Baum). Die Fehlermeldung erscheint auch, wenn ich einen Teilbaum mit dem
Vebreitungseditor 6ffnen will. Bitte nochmal testen, was da los ist.
ERS: der Fehler scheint behoben zu sein, jetzt lauft alles wieder normal.

ERS: ja, einmal an der Stelle, aber z.B. auch beim Versuch, Fakten (Verbreitungs-)daten zu laden.

AM: OK, das scheint immer die gleiche Stelle zu sein. Wann genau bekommst du denn den Fehler. Beim Laden eines Taxons im Nameeditor oder
wann anders?

ERS: Hmm, es scheint so ein bisschen zu stottern. Mal geht’s, dann kommt wieder der Fehler...
AM: war das nur in den letzten 3-5 min so oder schon langer?

ERS: ich bekomme gerade o6fter diesen Fehler.

#5 - 12/18/2020 04:28 PM - Andreas Miuller

Same issue but slightly different stacktrace

last remote method : http://api.cybertaxonomy.org:80/euromed/remoting/taxonnode.service
last remote request client time : 2020-12-18T12:38:31.123
last remote request response header time : Fri, 18 Dec 2020 12:38:28 GMT
client error time : 2020-12-18T12:38:31.453
login : e.raabstraube
editor version : 5.18.2
server : apil.cybertaxonomy.org (cybertaxonomy.org) / euromed
schema version : 5.18.6.0.20201124
os : Windows 7 6.1 amdé4
java : 1.8.0_261
org.springframework.remoting.RemoteAccessException: Could not access HTTP invoker remote service at [http://ap
i.cybertaxonomy.org:80/euromed/remoting/taxonnode.service]; nested exception is net.sf.ehcache.CacheException:
java.io.OptionalDataException
at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.convertHttpInvokerAccessException
(HttpInvokerClientInterceptor.java:226)
at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientIntercept
or.java:153)
at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:17
9)
at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:213)
at com.sun.proxy.$Proxy49.load (Unknown Source)
at eu.etaxonomy.taxeditor.editor.e4.TaxonEditorInputE4.initForTaxonNode (TaxonEditorInputE4. java:124)
at eu.etaxonomy.taxeditor.editor.e4.TaxonEditorInputE4.<init>(TaxonEditorInputE4.java:113)
at eu.etaxonomy.taxeditor.editor.e4.TaxonEditorInputE4.NewInstance (TaxonEditorInputE4.java:262)
at eu.etaxonomy.taxeditor.editor.EditorUtil.openTaxonNodeE4 (EditorUtil. java:196)
at eu.etaxonomy.taxeditor.navigation.NavigationUtil.openEditor (NavigationUtil. java:70)
at eu.etaxonomy.taxeditor.navigation.navigator.ed4.TaxonNavigatorE4.lambda$0 (TaxonNavigatorE4. java:179)
at org.eclipse.jface.viewers.StructuredViewer$l.run (StructuredViewer. java:833)
at org.eclipse.core.runtime.SafeRunner.run (SafeRunner. java:42)
at org.eclipse.ui.internal.JFaceUtil$l.run(JFaceUtil.java:50)
at org.eclipse.jface.util.SafeRunnable.run (SafeRunnable. java:173)
at org.eclipse.jface.viewers.StructuredViewer.fireDoubleClick (StructuredViewer. java:830)
at org.eclipse.jface.viewers.AbstractTreeViewer.handleDoubleSelect (AbstractTreeViewer.java:1470)
at org.eclipse.jface.viewers.StructuredViewer$4.widgetDefaultSelected (StructuredViewer. java:1264)
at org.eclipse.jface.util.OpenStrategy.fireDefaultSelectionEvent (OpenStrategy.java:252)
at org.eclipse.jface.util.OpenStrategy.access$0 (OpenStrategy.java:249)
at org.eclipse.jface.util.OpenStrategy$l.handleEvent (OpenStrategy.java:311)
at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)
at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)
at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine.java:1121)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine.java:1022)
at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
at eu.etaxonomy.taxeditor.Application.start (Application.java:20)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher. java:134

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)
net. ehcache.store.
store.

store.

ehcache.
ehcache.

net.
net.
net. ehcache.store.
ehcache.

ehcache.

net.
net.

net. ehcache.

at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at

net.
net.
net.

eu

eu.
eu.

eu
eu

eu.

eu

eu.
eu.

eu

eu.
eu.

eu
eu

eu.

eu

eu.
eu.

eu

eu.

sf.
sf.
sf.

ehcac
ehcac
ehcac

.etaxonomy.

.etaxonomy.
.etaxonomy.
etaxonomy .
.etaxonomy.

.etaxonomy.

.etaxonomy.
.etaxonomy.
etaxonomy .
.etaxonomy.

.etaxonomy.

etaxonomy .
etaxonomy .

etaxonomy .
etaxonomy .

etaxonomy .
etaxonomy .

etaxonomy .
etaxonomy .

etaxonomy .

he.
he.
he.

store.
Cache.
Cache.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.

api.
api.

cache.
cache.
cache.
cache.
cache.
cache.
cache.
cache.
cache.
cache.
cache.
cache.
cache.
cache.
cache.
cache.
cache.

CacheStore.get (CacheStore.java:192)

get (Cache.java:1749)

get (Cache. java:1722)
cache.CdmCacherBase.getCacheElement (CdmCacherBase. java:105)
cache.CdmCacherBase.getFromCache (CdmCacherBase. java:140)
cache.

CdmTransientEntityCacher.getFromCache (CdmTransientEntityCacher. java:298)

CacheLoader.
CacheLoader
Cacheloader.
CacheLoader.
CacheLoader.
Cacheloader.
CacheLoader.
CacheLoader.
Cacheloader.
CacheLoader.
CacheLoader
Cacheloader.
CacheLoader.
CacheLoader.
Cacheloader.
CacheLoader.
CacheLoader.

getAndUpdateFieldValue (CacheLoader. java:449)

.loadField(CacheLoader. java:359)

loadRecursive (CacheLoader. java:339)
loadRecursiveAny (Cacheloader. java:83)
loadRecursiveCollection (CacheLoader. java:190)
getAndUpdateFieldValue (CacheLoader. java:471)
loadField (CacheLoader. java:359)

loadRecursive (CacheLoader. java:339)
loadRecursiveAny (CacheLoader. java:83)
loadRecursiveCollection (CacheLoader. java:190)

.getAndUpdateFieldValue (CacheLoader. java:471)

loadField(Cacheloader.java:359)
loadRecursive (CacheLoader. java:339)
loadField (CacheLoader. java:368)
loadRecursive (CacheLoader. java:339)
load (CacheLoader.java:263)

load (CacheLoader. java:62)

at

at

at

at
gHttpInvokerProxyFactoryBean. java:100)

at org.springframework.remoting.httpinvoker.CachingHttpInvokerProxyFactoryBean.executeRequest (CachingHttpI
nvokerProxyFactoryBean. java:81)

eu.etaxonomy.cdm.cache.CdmTransientEntityCacher.load (CdmTransientEntityCacher. java:165)

eu.etaxonomy.taxeditor.session.CdmEntitySession.load (CdmEntitySession. java:65)
.etaxonomy.taxeditor.session.CdmEntitySessionManager.load (CdmEntitySessionManager.java:119)

org.springframework.remoting.httpinvoker.CachingHttpInvokerProxyFactoryBean.handleGeneralRequest (Cachin

eu

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientIntercept
or.java:150)
45 more
by:
java.

java.

Caused
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at

java.io.OptionalDataException
io.ObjectInputStream.readObject0 (Unknown Source)
io.0ObjectInputStream.readObject (Unknown Source)
java.io.ObjectInputStream.readObject (Unknown Source)
java.util.HashSet.readObject (Unknown Source)
sun.reflect.GeneratedMethodAccessor34.invoke (Unknown Source)
sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)
lang.reflect.Method.invoke (Unknown Source)
io.ObjectStreamClass.invokeReadObject (Unknown Source)

java.
java.
readSerialData (Unknown Source)

readOrdinaryObject (Unknown Source)

readObject0 (Unknown Source)

java.io.ObjectInputStream.
.ObjectInputStream.

io.ObjectInputStream.

java.io

java.
defaultReadFields (Unknown Source)
readSerialData (Unknown Source)

readOrdinaryObject (Unknown Source)

java.io.ObjectInputStream.
ObjectInputStream.

ObjectInputStreamn.

java.io.

java.io.

java.io.ObjectInputStream.
ObjectInputStream.

ObjectInputStreamn.

readObject0 (Unknown Source)
defaultReadFields (Unknown Source)
defaultReadObject (Unknown Source)
net.sf.ehcache.Element.readObject (Element. java:885)
sun.reflect.GeneratedMethodAccessorl06.invoke (Unknown Source)
sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

java.io.

java.io.

java.lang.reflect.Method.invoke (Unknown Source)
java.io.ObjectStreamClass.invokeReadObject (Unknown Source)
java.io.ObjectInputStream.readSerialData (Unknown Source)
at java.io.ObjectInputStream.readOrdinaryObject (Unknown Source)

at java.io.ObjectInputStream.readObjectO (Unknown Source)

at java.io.ObjectInputStream.readObject (Unknown Source)

at java.io.ObjectInputStream.readObject (Unknown Source)

at net.sf.ehcache.store.disk.DiskStorageFactory.read(DiskStorageFactory.java:371)

at net.sf.ehcache.store.disk.DiskStorageFactory.retrieve (DiskStorageFactory.java:887)
82 more

#6 - 12/18/2020 05:52 PM - Andreas Miiller
- Description updated

- Target version changed from Unassigned CDM tickets to Release 5.19

If it is true that this problem occurs client side we should catch the exception in a way that it becomes clear that the problem is local and not related to
remoting. This should be fixed soon, all the rest can probably be done later. => #9629

#7 - 01/27/2021 04:44 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#8 - 03/10/2021 02:48 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#9 - 04/19/2021 05:06 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.46

#10 - 05/19/2021 04:49 PM - Andreas Miiller

- Description updated

#11 - 05/19/2021 04:49 PM - Andreas Miiller
- Related to bug #9629: Better handling of OptionalDataException added

#12 - 06/07/2021 05:22 PM - Andreas Miiller

Auch bei Cuba trat das Problem jetzt wieder bei der Eingabe von Verbreitungsdaten auf:
WGB:

erster Eintrag, Cuba, neue Verbreitung mit neuer Quelle mit neuen Autoren im Team bei Coccothrinax xangelae..
OK —-> keine weitere Speicheraufforderung.

Neuaufruf aus Navigator Search-Ergebnis

Neuer Fehler (unten ***) 2x

Ok, 0Ok, Neuaufruf - Fehler bleibt.

(Server scheint weg zu sein).

Anderes Taxon funktioniert.

Aufruf C. xangelae weiter Fehler

#13 - 10/19/2021 11:19 AM - Katja Luther
- Related to bug #9820: OptionalDataException when saving character matrix added

#14 - 11/15/2022 11:07 AM - Andreas Miiller

Looks like this problem does not appear so often anymore.
